Subject: bug#5413: 23.1.91; Incorrect font sizes and weights

From: Jan Djärv <[email-masked]>
Date: Tue, 19 Jan 2010 16:53:01 +0100

Jed Brown skrev:
> On Tue, 19 Jan 2010 16:02:30 +0100, Jan Djärv <[email-masked]> wrote:
>> What system are you rinning (i.e. Gnome, KDE, other?)?
> 
> Archlinux with Xmonad/Gnome, I thought building --without-gconf might
> help, but it didn't (although I didn't do a full rebuild so perhaps I
> still have stale gconf stuff).

The GConf stuff is only for reading the desktop monospace font if you choose 
to use that in Emacs (you must customize font-use-system-font).

> 
>> % xrdb -query|grep Xft
> 
> Nothing.
> 
>> % xdpyinfo|grep resolution
> 
>   resolution:    96x96 dots per inch
> 
>> Get a new version from the trunk and get the value of the lisp variable 
>> xft-settings (C-h v xft-settings).
> 
> "Antialias: 1, Hinting: 1, RGBA: 1, LCDFilter: 0, Hintstyle: 3, DPI: 120.000000"
> 
> Setting the Xft.dpi resource does not change this DPI setting.

The dpi is read from the XSETTINGS mechanism, so they override any X resources.

> 
>> It is not the weight, it is the hinting.  Emacs uses the values from the 
>> desktop settings if available, or the fontconfig defaults otherwise.
> 
> Okay, I changed the settings in Gnome's font rendering details panel and
> now I get what I wanted
> 
> "Antialias: 1, Hinting: 1, RGBA: 1, LCDFilter: 0, Hintstyle: 1, DPI: 96.000000"
> 
> and the fonts look good again with the expected 'DejaVu Sans Mono-10'.
> 

Good!

	Jan D.